<template>
  <div class="mainPage">
    <div class="row q-pt-sm q-pl-md justify-between">
      <div class="row">
        <div><img src="../../public/unescap.svg" alt="" /></div>
        <div class="topmenu-title q-pl-md">
          Back Office for SDGs Exam System
        </div>
      </div>
      <div class="topmenu-logout" @click="logoutBtn()">log out</div>
    </div>
    <div>
      <div class="row justify-center">
        <div>
          <div v-if="showPage[0] == 1">
            <div
              class="topmenu-btn cursor-pointer"
              @click="goToPage(1)"
              v-if="page != 1"
            >
              <img src="../../public/examinee.svg" alt="" />
            </div>
            <div class="topmenu-btn" v-else>
              <img src="../../public/examinee_selected.svg" alt="" />
            </div>
          </div>

          <div v-else>
            <div class="topmenu-btn">
              <img src="../../public/examinee_disable.svg" alt="" />
            </div>
          </div>
        </div>
        <div>
          <div v-if="showPage[1] == 1">
            <div
              class="topmenu-btn cursor-pointer"
              @click="goToPage(2)"
              v-if="page != 2"
            >
              <img src="../../public/examination.svg" alt="" />
            </div>
            <div class="topmenu-btn" v-else>
              <img src="../../public/examination_selected.svg" alt="" />
            </div>
          </div>

          <div v-else>
            <div class="topmenu-btn">
              <img src="../../public/examination_disable.svg" alt="" />
            </div>
          </div>
        </div>

        <div>
          <div v-if="showPage[2] == 1">
            <div
              class="topmenu-btn cursor-pointer"
              @click="goToPage(3)"
              v-if="page != 3"
            >
              <img src="../../public/user.svg" alt="" />
            </div>
            <div class="topmenu-btn" v-else>
              <img src="../../public/user_selected.svg" alt="" />
            </div>
          </div>

          <div v-else>
            <div class="topmenu-btn">
              <img src="../../public/user_disable.svg" alt="" />
            </div>
          </div>
        </div>
      </div>
    </div>
    <!-- alert delete dialog  -->
    <q-dialog v-model="logoutDialog" persistent>
      <q-card>
        <q-card-section>
          <div class="titleDialog">Logout</div>

          <hr style="width: 400px" />
          <div align="center">
            <div>Do you want to logout?</div>
          </div>
        </q-card-section>
        <q-card-actions align="center">
          <div class="row">
            <q-btn
              label="Cancel"
              outline
              class="short-btn"
              @click="closeLogoutDia()"
            />

            <div style="width: 15px"></div>
            <q-btn
              label="Yes"
              class="short-btn active-btn"
              @click="confirmLogoutBtn()"
            />
          </div>
        </q-card-actions>
        <br />
      </q-card>
    </q-dialog>
  </div>
</template>

<script>
export default {
  data() {
    return {
      page: 1,
      showPage: [1, 1, 1],
      logoutDialog: false,
    };
  },
  methods: {
    confirmLogoutBtn() {
      this.$q.localStorage.clear();
      this.$router.push("/");
    },
    closeLogoutDia() {
      this.logoutDialog = false;
    },
    logoutBtn() {
      this.logoutDialog = true;
    },
    goToPage(pageID) {
      if (pageID == 3) {
        this.$router.push("/user");
      } else if (pageID == 1) {
        this.$router.push("/examinee");
      } else {
        this.$router.push("/examination");
      }
      this.page = pageID;
    },
    loadPage() {
      if (this.$route.name == "user") {
        this.page = 3;
      } else if (this.$route.name == "examinee") {
        this.page = 1;
      } else {
        this.page = 2;
      }
    },
  },
  mounted() {
    this.loadPage();
  },
};
</script>

<style lang="scss" scoped>
.topmenu-title {
  font-size: 36px;
  color: #41aaf2;
}
.topmenu-logout {
  font-size: 18px;
  color: #41aaf2;
  text-decoration: underline;
  cursor: pointer;
  padding-top: 15px;
  padding-right: 15px;
}
.topmenu-btn {
  padding: 10px;
}
</style>
